Bug 140083 - lx-choptp19 crashed running 2.4.21-20.EL.BZ131027.hotfixhugemem
lx-choptp19 crashed running 2.4.21-20.EL.BZ131027.hotfixhugemem
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 12:24 EST by Peter Martuccelli
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of 2.6 patch fixing this (1.23 KB, patch)
2005-01-19 18:33 EST, Roland McGrath
no flags Details | Diff

  None (edit)
Description Peter Martuccelli 2004-11-19 12:24:08 EST
This server is running the latest kernel hotfix and it crashed at
21:03:17 CST on 4 Nov 2004.
----------
Action by: jneedle
Wow, Roland figured this out.  We got lucky.  Just happens to be
something he recently found and fixed in 2.6, but has never before
been seen in RHEL3.  See http://lkml.org/lkml/2004/10/23/26.

We'll need to backport that to RHEL3 and run it by rhkernel-list, then
figure out the right delivery vehicle.  If this is the first time
they've run into this, would it be safe to take some time to review
and figure this out?  Again it's an issue without a reproducer, so
it's tricky to declare fixed with certainty.  As always, it would be
great to understand how they ran into this so we could proactively
test an environment similar to theirs.
Comment 1 Ernie Petrides 2004-11-19 14:27:48 EST
Peter, I would have assigned this to Ingo if you hadn't already
assigned it to yourself.  For now, I've just added him to the cc:
list (and added the Issue Tracker id).
Comment 2 Peter Martuccelli 2004-11-19 17:40:04 EST
We need this for the hot fix.  If 139713 takes more time then expected
we may have to reassign, alright for now.
Comment 4 Roland McGrath 2005-01-19 18:33:11 EST
Created attachment 109996 [details]
backport of 2.6 patch fixing this

This patch applies to both RHEL-3 and RHEL-4 branches as-is.
Comment 5 Ernie Petrides 2005-01-19 18:33:20 EST
*** Bug 145331 has been marked as a duplicate of this bug. ***
Comment 6 Ernie Petrides 2005-01-19 19:32:10 EST
The RHEL-4 bugzilla for this problem is bug 145590.
Comment 7 Ernie Petrides 2005-01-29 01:06:44 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.10.EL).
Comment 8 Tim Powers 2005-05-18 09:28:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.